petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatFDColoringGetFunction

Gets the function to use for computing the Jacobian.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringGetFunction(MatFDColoring matfd,PetscErrorCode (**f)(void),void **fctx)

Not Collective

### Input Parameters

coloring -the coloring context

### Output Parameters

| f | - the function
| fctx | - the optional user-defined function context

### See Also

MatFDColoringCreate(), MatFDColoringSetFunction(), MatFDColoringSetFromOptions()

### Level

intermediate

### Location

src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages